/*
 * TrainerFrameActionListener.java     1.0     2001/12/27
 *
 * Copyright (c) 2001 Andreas Dangel <a.dangel@gmx.de>
 *
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package trainer;

import java.awt.event.*;
import javax.swing.*;

public class TrainerFrameActionListener implements ActionListener {

    public void actionPerformed(ActionEvent e) {
        String cmd = e.getActionCommand();

	if (cmd.equals("Quit")) {
	    Trainer.exit();
	} else if (cmd.equals("Start...") || cmd.equals("next")) {
	    Trainer.trainerFrame.setActionButton("ready");
	    Trainer.trainerFrame.showNext();
	} else if (cmd.equals("ready")) {
	    Trainer.trainerFrame.correct();
	    Trainer.trainerFrame.setActionButton("next");
	} else {
	    System.err.println("FrameAction: " + cmd);
	}
    }

}
